MONGOC_BULK_OPERATION_REPLACE_ONE(3)

NAME
mongoc_bulk_operation_replace_one - mongoc_bulk_operation_replace_one()

SYNOPSIS

void
mongoc_bulk_operation_replace_one (mongoc_bulk_operation_t *bulk,
                                   const bson_t *selector,
                                   const bson_t *document,
                                   bool upsert);

Replace a single document as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

This function is superseded by mongoc_bulk_operation_replace_one_with_opts().

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   selector: A bson_t that selects which document to remove.

•   document: A bson_t containing the replacement document.

•   upsert: true if this should be an upsert.

    WARNING: document may not contain fields with keys containing . or $.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute().

SEE ALSO:
mongoc_bulk_operation_replace_one_with_opts()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc